Index: src/Exceptions/CustomException.cpp
===================================================================
--- src/Exceptions/CustomException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/CustomException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * CustomException.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Exceptions/IllegalTypeException.cpp
===================================================================
--- src/Exceptions/IllegalTypeException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/IllegalTypeException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * IllegalTypeException.cpp
@@ -5,4 +12,11 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
 
 #include "IllegalTypeException.hpp"
Index: src/Exceptions/LinearDependenceException.cpp
===================================================================
--- src/Exceptions/LinearDependenceException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/LinearDependenceException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * LinearDependenceException.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Exceptions/Makefile.am
===================================================================
--- src/Exceptions/Makefile.am	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/Makefile.am	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -15,7 +15,10 @@
   MissingValueException.cpp \
   NotInvertibleException.cpp \
+  NotOnSurfaceException.cpp \
+  ShapeException.cpp \
   ParseError.cpp \
   SkewException.cpp \
   ZeroVectorException.cpp
+	
 				  
 EXCEPTIONHEADER = \
@@ -26,4 +29,6 @@
   MissingValueException.hpp \
   NotInvertibleException.hpp \
+  NotInvertibleException.hpp \
+  NotOnSurfaceException.hpp \
   ParseError.hpp \
   SkewException.hpp \
@@ -72,2 +77,9 @@
 pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
 
+unity.cpp:
+	echo "" >  unity.cpp; \
+	list='$(EXCEPTIONSOURCE)'; for file in $$list; do \
+	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
+	done;
+	
+MOSTLYCLEANFILES = unity.cpp
Index: src/Exceptions/MathException.cpp
===================================================================
--- src/Exceptions/MathException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/MathException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MathException.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Exceptions/MissingValueException.cpp
===================================================================
--- src/Exceptions/MissingValueException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/MissingValueException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MissingValueException.cpp
@@ -5,4 +12,11 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
 
 #include "MissingValueException.hpp"
Index: src/Exceptions/NotInvertibleException.cpp
===================================================================
--- src/Exceptions/NotInvertibleException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/NotInvertibleException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * NotInvertibleException.cpp
@@ -5,4 +12,11 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
 
 #include "NotInvertibleException.hpp"
Index: src/Exceptions/NotOnSurfaceException.cpp
===================================================================
--- src/Exceptions/NotOnSurfaceException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ src/Exceptions/NotOnSurfaceException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,21 @@
+/*
+ * NotOnSurfaceException.cpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#include "NotOnSurfaceException.hpp"
+
+using namespace std;
+
+NotOnSurfaceException::NotOnSurfaceException(string _file, int _line) :
+  ShapeException(_file,_line)
+{}
+
+NotOnSurfaceException::~NotOnSurfaceException() throw ()
+{}
+
+const char* NotOnSurfaceException::what() const throw(){
+  return "Given point did not lie on surface of Shape";
+}
Index: src/Exceptions/NotOnSurfaceException.hpp
===================================================================
--- src/Exceptions/NotOnSurfaceException.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ src/Exceptions/NotOnSurfaceException.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,22 @@
+/*
+ * NotOnSurfaceException.hpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#ifndef NOTONSURFACEEXCEPTION_HPP_
+#define NOTONSURFACEEXCEPTION_HPP_
+
+#include "Exceptions/ShapeException.hpp"
+
+class NotOnSurfaceException : public ShapeException
+{
+public:
+  NotOnSurfaceException(std::string _file, int _line);
+  virtual ~NotOnSurfaceException() throw();
+
+  virtual const char* what() const throw();
+};
+
+#endif /* NOTONSURFACEEXCEPTION_HPP_ */
Index: src/Exceptions/ParseError.cpp
===================================================================
--- src/Exceptions/ParseError.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/ParseError.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ParseError.cpp
@@ -5,4 +12,11 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
 
 #include "ParseError.hpp"
Index: src/Exceptions/ShapeException.cpp
===================================================================
--- src/Exceptions/ShapeException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ src/Exceptions/ShapeException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,15 @@
+/*
+ * ShapeException.cpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#include "ShapeException.hpp"
+
+ShapeException::ShapeException(std::string file, int line) :
+  CustomException(file,line)
+{}
+
+ShapeException::~ShapeException() throw ()
+{}
Index: src/Exceptions/ShapeException.hpp
===================================================================
--- src/Exceptions/ShapeException.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
+++ src/Exceptions/ShapeException.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -0,0 +1,20 @@
+/*
+ * ShapeException.hpp
+ *
+ *  Created on: Jul 14, 2010
+ *      Author: crueger
+ */
+
+#ifndef SHAPEEXCEPTION_HPP_
+#define SHAPEEXCEPTION_HPP_
+
+#include "Exceptions/CustomException.hpp"
+
+class ShapeException : public CustomException
+{
+public:
+  ShapeException(std::string file, int line);
+  virtual ~ShapeException() throw();
+};
+
+#endif /* SHAPEEXCEPTION_HPP_ */
Index: src/Exceptions/SkewException.cpp
===================================================================
--- src/Exceptions/SkewException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/SkewException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SkewException.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/Exceptions/ZeroVectorException.cpp
===================================================================
--- src/Exceptions/ZeroVectorException.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/Exceptions/ZeroVectorException.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ZeroVectorException.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
